using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using HCM.BusinessEntities;
using HCM.DataAccess;

namespace HCM.BajaWare.BusinessLogic
{
    public class InstitucionLogic
    {
        #region Constructor

        private InstitucionDataAccess InstitucionDA;

        public InstitucionLogic()
        {
            InstitucionDA = new InstitucionDataAccess();

        }

        #endregion

        #region Obtiene Datos
        /// <summary>
        /// Obtiene la lista de personas
        /// </summary>
        /// <param name="iPersona"></param>
        /// <returns></returns>
        public List<Institucion> ListarInstitucion()
        {
            List<Institucion> results = null;
            try
            {

                results = InstitucionDA.ListadoInstitucion();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

       

        #endregion 
    }
}
